Bug 1285746 - [abrt] rhythmbox: WTFCrash(): rhythmbox killed by SIGSEGV
[abrt] rhythmbox: WTFCrash(): rhythmbox killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1fe17efe907076a549fba67beee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 06:38 EST by Pablo Ganuza
Modified: 2016-12-20 11:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:18:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.66 KB, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: core_backtrace (9.47 KB, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: dso_list (29.00 KB, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: environ (990 bytes, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: exploitable (110 bytes, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: maps (127.46 KB, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: mountinfo (3.86 KB, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: open_fds (1.97 KB, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details
File: var_log_messages (4.11 KB, text/plain)
2015-11-26 06:38 EST, Pablo Ganuza
no flags Details

  None (edit)
Description Pablo Ganuza 2015-11-26 06:38:15 EST
Description of problem:
Rhythmbox wasn't even playing. I stopped the playback to make a phone call and after 10 minutes or so it just crashed with no apparent reason.

Version-Release number of selected component:
rhythmbox-3.2.1-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: WTFCrash
executable:     /usr/bin/rhythmbox
global_pid:     3302
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WTFCrash at Source/WTF/wtf/Assertions.cpp:333
 #1 WTF::CrashOnOverflow::overflowed at Source/WTF/wtf/CheckedArithmetic.h:78
 #2 WTF::Vector<WTF::String, 0ul, WTF::CrashOnOverflow>::at at Source/WTF/wtf/Vector.h:583
 #3 WTF::Vector<WTF::String, 0ul, WTF::CrashOnOverflow>::operator[] at Source/WTF/wtf/Vector.h:603
 #4 WebCore::PasteboardHelper::fillDataObjectFromDropData at Source/WebCore/platform/gtk/PasteboardHelper.cpp:255
 #5 WebCore::GtkDragAndDropHelper::handleDragDataReceived at Source/WebCore/platform/gtk/GtkDragAndDropHelper.cpp:155
 #6 webkit_web_view_drag_data_received at Source/WebKit/gtk/webkit/webkitwebview.cpp:1584
 #7 _gtk_marshal_VOID__OBJECT_INT_INT_BOXED_UINT_UINT at gtkmarshalers.c:5525
 #11 g_signal_emit_by_name at gsignal.c:3479
 #12 gtk_drag_selection_received at gtkdnd.c:1828
Comment 1 Pablo Ganuza 2015-11-26 06:38:21 EST
Created attachment 1099231 [details]
File: backtrace
Comment 2 Pablo Ganuza 2015-11-26 06:38:22 EST
Created attachment 1099232 [details]
File: cgroup
Comment 3 Pablo Ganuza 2015-11-26 06:38:24 EST
Created attachment 1099233 [details]
File: core_backtrace
Comment 4 Pablo Ganuza 2015-11-26 06:38:27 EST
Created attachment 1099234 [details]
File: dso_list
Comment 5 Pablo Ganuza 2015-11-26 06:38:29 EST
Created attachment 1099235 [details]
File: environ
Comment 6 Pablo Ganuza 2015-11-26 06:38:30 EST
Created attachment 1099236 [details]
File: exploitable
Comment 7 Pablo Ganuza 2015-11-26 06:38:31 EST
Created attachment 1099237 [details]
File: limits
Comment 8 Pablo Ganuza 2015-11-26 06:38:35 EST
Created attachment 1099238 [details]
File: maps
Comment 9 Pablo Ganuza 2015-11-26 06:38:37 EST
Created attachment 1099239 [details]
File: mountinfo
Comment 10 Pablo Ganuza 2015-11-26 06:38:38 EST
Created attachment 1099240 [details]
File: namespaces
Comment 11 Pablo Ganuza 2015-11-26 06:38:39 EST
Created attachment 1099241 [details]
File: open_fds
Comment 12 Pablo Ganuza 2015-11-26 06:38:40 EST
Created attachment 1099242 [details]
File: proc_pid_status
Comment 13 Pablo Ganuza 2015-11-26 06:38:42 EST
Created attachment 1099243 [details]
File: var_log_messages
Comment 14 Fedora Admin XMLRPC Client 2016-09-15 11:17:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2016-09-16 03:09:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora End Of Life 2016-11-24 08:45:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:18:58 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.